#include "partition.h"
#include "map"

std::vector<int> solve(std::vector<int> A) {
    std::map<int,int> vf;
    int st = 0,dr = A.size()-1;

    std::vector<int> rez(A.size());

    for (int i=0; i<A.size()-1; i++) {
        rez[i] = i + 1;
    }
    rez[A.size()-1] = 0;

    return rez;


}